DataTypeTraits< T > Struct Template Reference

`#include <Traits.h>`

## Public Member Functions

int | h5bits ()
int | h5bits ()
int | h5bits ()
int | h5bits ()
int | h5bits ()
int | h5bits ()
hid_t | h5type ()
hid_t | h5type ()
hid_t | h5type ()
hid_t | h5type ()
hid_t | h5type ()
hid_t | h5type ()
hid_t | h5type ()
hid_t | h5type ()
hid_t | h5type ()
DataTypeEnum | typeEnum ()
DataTypeEnum | typeEnum ()
DataTypeEnum | typeEnum ()
DataTypeEnum | typeEnum ()
DataTypeEnum | typeEnum ()
DataTypeEnum | typeEnum ()
DataTypeEnum | typeEnum ()
DataTypeEnum | typeEnum ()

## Static Public Member Functions

static int | h5bits ()
static hid_t | h5type ()
static std::string | name ()
static DataTypeEnum | typeEnum ()

## Detailed Description

template<typename T>
struct DataTypeTraits< T >

Definition at line 266 of file Traits.h.

## Member Function Documentation

## name()

template<typename T>

std::string DataTypeTraits< T >::name | ( |  | ) |

inline static

Definition at line 267 of file Traits.h.

{
return typeid(T).name();
}
DataTypeTraits
Definition Traits.h:266
DataTypeTraits::name
static std::string name()
Definition Traits.h:267

References name().

Referenced by Field< Data_T >::dataTypeString(), name(), NestedFieldType< Field_T >::NestedFieldType(), and TemplatedFieldType< Field_T >::TemplatedFieldType().

## typeEnum() [1/9]

template<typename T>

DataTypeEnum DataTypeTraits< T >::typeEnum | ( |  | ) |

static

Referenced by SparseFileManager::activateBlock(), readField(), and SparseFileManager::removeFieldFromCache().

## h5type() [1/10]

template<typename T>

hid_t DataTypeTraits< T >::h5type | ( |  | ) |

static

Referenced by SparseDataReader< Data_T >::readBlock(), SparseDataReader< Data_T >::readBlockList(), Hdf5Util::readSimpleData(), and Hdf5Util::writeSimpleData().

## h5bits() [1/7]

template<typename T>

int DataTypeTraits< T >::h5bits | ( |  | ) |

static

## typeEnum() [2/9]

DataTypeEnum DataTypeTraits< half >::typeEnum | ( |  | ) |

inline

Definition at line 351 of file Traits.h.

{
return DataTypeHalf;
}

References DataTypeHalf.

## typeEnum() [3/9]

DataTypeEnum DataTypeTraits< unsignedchar >::typeEnum | ( |  | ) |

inline

Definition at line 359 of file Traits.h.

{
return DataTypeUnsignedChar;
}

References DataTypeUnsignedChar.

## typeEnum() [4/9]

DataTypeEnum DataTypeTraits< int >::typeEnum | ( |  | ) |

inline

Definition at line 367 of file Traits.h.

{
return DataTypeInt;
}

References DataTypeInt.

## typeEnum() [5/9]

DataTypeEnum DataTypeTraits< float >::typeEnum | ( |  | ) |

inline

Definition at line 375 of file Traits.h.

{
return DataTypeFloat;
}

References DataTypeFloat.

## typeEnum() [6/9]

DataTypeEnum DataTypeTraits< double >::typeEnum | ( |  | ) |

inline

Definition at line 383 of file Traits.h.

{
return DataTypeDouble;
}

References DataTypeDouble.

## typeEnum() [7/9]

DataTypeEnum DataTypeTraits< V3h >::typeEnum | ( |  | ) |

inline

Definition at line 391 of file Traits.h.

{
return DataTypeVecHalf;
}

References DataTypeVecHalf.

## typeEnum() [8/9]

DataTypeEnum DataTypeTraits< V3f >::typeEnum | ( |  | ) |

inline

Definition at line 399 of file Traits.h.

{
return DataTypeVecFloat;
}

References DataTypeVecFloat.

## typeEnum() [9/9]

DataTypeEnum DataTypeTraits< V3d >::typeEnum | ( |  | ) |

inline

Definition at line 407 of file Traits.h.

{
return DataTypeVecDouble;
}

References DataTypeVecDouble.

## h5type() [2/10]

hid_t DataTypeTraits< half >::h5type | ( |  | ) |

inline

Definition at line 413 of file Traits.h.

{
return H5T_NATIVE_SHORT;
}

## h5type() [3/10]

hid_t DataTypeTraits< float >::h5type | ( |  | ) |

inline

Definition at line 421 of file Traits.h.

{
return H5T_NATIVE_FLOAT;
}

## h5type() [4/10]

hid_t DataTypeTraits< double >::h5type | ( |  | ) |

inline

Definition at line 429 of file Traits.h.

{
return H5T_NATIVE_DOUBLE;
}

## h5type() [5/10]

hid_t DataTypeTraits< char >::h5type | ( |  | ) |

inline

Definition at line 437 of file Traits.h.

{
return H5T_NATIVE_CHAR;
}

## h5type() [6/10]

hid_t DataTypeTraits< unsignedchar >::h5type | ( |  | ) |

inline

Definition at line 445 of file Traits.h.

{
return H5T_NATIVE_UCHAR;
}

## h5type() [7/10]

hid_t DataTypeTraits< int >::h5type | ( |  | ) |

inline

Definition at line 453 of file Traits.h.

{
return H5T_NATIVE_INT;
}

## h5type() [8/10]

hid_t DataTypeTraits< V3h >::h5type | ( |  | ) |

inline

Definition at line 461 of file Traits.h.

{
return H5T_NATIVE_SHORT;
}

## h5type() [9/10]

hid_t DataTypeTraits< V3f >::h5type | ( |  | ) |

inline

Definition at line 469 of file Traits.h.

{
return H5T_NATIVE_FLOAT;
}

## h5type() [10/10]

hid_t DataTypeTraits< V3d >::h5type | ( |  | ) |

inline

Definition at line 477 of file Traits.h.

{
return H5T_NATIVE_DOUBLE;
}

## h5bits() [2/7]

int DataTypeTraits< half >::h5bits | ( |  | ) |

inline

Definition at line 485 of file Traits.h.

{
return 16;
}

## h5bits() [3/7]

int DataTypeTraits< float >::h5bits | ( |  | ) |

inline

Definition at line 493 of file Traits.h.

{
return 32;
}

## h5bits() [4/7]

int DataTypeTraits< double >::h5bits | ( |  | ) |

inline

Definition at line 501 of file Traits.h.

{
return 64;
}

## h5bits() [5/7]

int DataTypeTraits< V3h >::h5bits | ( |  | ) |

inline

Definition at line 509 of file Traits.h.

{
return 16;
}

## h5bits() [6/7]

int DataTypeTraits< V3f >::h5bits | ( |  | ) |

inline

Definition at line 517 of file Traits.h.

{
return 32;
}

## h5bits() [7/7]

int DataTypeTraits< V3d >::h5bits | ( |  | ) |

inline

Definition at line 525 of file Traits.h.

{
return 64;
}

The documentation for this struct was generated from the following file:

- export/Traits.h